#!/bin/bash

PRERM=`echo $0 | grep -o prerm`

USER_ID=`id -u`
if [ $USER_ID -ne 0 ]
then
	echo "$0 must be run as a root user."
	exit 1
fi


RESOLUTIONS=" 16 22 24 32 48 72 96 128 192 256 "

READER_DIR="/usr/share/striata-reader"
MIME_NAME="application-x-emc"
MIME_EMD="application-x-emd"
MIME_ICON="striata-emc.png"
APP_ICON="striata-keymail.png"
XML_FILE="$READER_DIR/x-emc.xml"
XML_EMD="$READER_DIR/x-emd.xml"
DESKTOP_FILE="$READER_DIR/striata-keymail.desktop"

echo "Removing application associations."

xdg-desktop-menu uninstall $DESKTOP_FILE

for i in $RESOLUTIONS
do
	xdg-icon-resource uninstall --context mimetypes --mode system --size $i $MIME_EMD
	xdg-icon-resource uninstall --context mimetypes --mode system --size $i $MIME_NAME
	xdg-icon-resource uninstall --mode system --size $i $APP_ICON
done

xdg-mime uninstall $XML_EMD
xdg-mime uninstall $XML_FILE

if [ "$PRERM" != "prerm" ]
then
	echo "Removing reader files."
	#We are not in a debian package, remove files.
	rm -f /usr/bin/striata-reader
	rm -f /usr/bin/striata-readerc
	rm -f /usr/bin/striata-reader-gui.py
	rm -Rf /usr/share/striata-reader
fi
